[Python-modules-commits] [transmissionrpc] 04/08: Add CLI autopkgtest
Ondřej Nový
onovy at moszumanska.debian.org
Fri Jan 13 11:52:22 UTC 2017
This is an automated email from the git hooks/post-receive script.
onovy pushed a commit to branch master
in repository transmissionrpc.
commit 7d617411a971a5882d35427311b888ae1c7a43e8
Author: Ondřej Nový <onovy at debian.org>
Date: Fri Jan 13 12:40:43 2017 +0100
Add CLI autopkgtest
---
debian/changelog | 1 +
debian/tests/control.autodep8 | 2 ++
debian/tests/helical | 15 +++++++++++++++
3 files changed, 18 insertions(+)
diff --git a/debian/changelog b/debian/changelog
index 66078a0..60abfbf 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,6 +7,7 @@ transmissionrpc (0.11-3) UNRELEASED; urgency=medium
* Remove d/patches/01_setup.patch (Closes: #788598)
* Add python3-setuptools to B-D
* Add autopkgtest-pkg-python testsuite
+ * Add CLI autopkgtest
-- Ondřej Nový <novy at ondrej.org> Tue, 29 Mar 2016 22:35:56 +0200
diff --git a/debian/tests/control.autodep8 b/debian/tests/control.autodep8
new file mode 100644
index 0000000..e3cf182
--- /dev/null
+++ b/debian/tests/control.autodep8
@@ -0,0 +1,2 @@
+Tests: helical
+Depends: python-transmissionrpc
diff --git a/debian/tests/helical b/debian/tests/helical
new file mode 100755
index 0000000..5c33fc5
--- /dev/null
+++ b/debian/tests/helical
@@ -0,0 +1,15 @@
+#!/bin/bash
+#------------
+# Testing CLI
+#------------
+set -e
+
+cd "$ADTTMP"
+
+if ! helical -h 2>&1 > /dev/null; then
+ echo "ERROR, helical is not running"
+ exit 1
+else
+ echo "OK: helical is running"
+fi
+exit 0
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/transmissionrpc.git
More information about the Python-modules-commits
mailing list